Subject: bug#23782: Fwd: Re: bug#23782: 24.5; gnutls.c error with package.el and GNU elpa as archive

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 19 Jun 2016 13:39:22 +0200

Ted Zlatanov <[email-masked]> writes:

> On Fri, 17 Jun 2016 20:55:46 +0200 Thierry Volpiatto <[email-masked]> wrote: 
>
> TV> Ted Zlatanov <[email-masked]> writes:
>
>>> It looks like there's an issue with GnuTLS itself, based on your `gnutls-cli' invocation. It works with Ubuntu 15.10 for me.
>
>>> > Can you try `gnutls-cli elpa.gnu.org' from the command line?
>>> 
>>> Processed 173 CA certificate(s).
>>> Resolving 'elpa.gnu.org'...
>>> Connecting to '208.118.235.89:443'...
>>> *** Fatal error: Error in the pull function.
>>> *** Handshake has failed
>>> GnuTLS error: Error in the pull function.
>
> That seems like either a GnuTLS or an Xubuntu 16.04 issue. Since I can't
> replicate it, I have to ask you to try to understand why it fails for
> you but not for anyone else (to my knowledge). It may require talking to
> the respective developers.

I have now switched to xfce-Linux-mint which is based on 14.04
and the gnutls bug is gone, and many other problems also are gone (file corruption,
hibernation broken, slowdown of whole system  etc...etc...).
Looks like 16.04 LTS apart the gnutls problem is really unstable.

Thanks.

-- 
Thierry